Bug 534852 - (RHQ-1608) Add history capabilities to agent command prompt
Add history capabilities to agent command prompt
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On: RHQ-2085
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 05:38 EST by Joao Paulo Viragine
Modified: 2013-09-02 03:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joao Paulo Viragine 2009-02-19 05:38:00 EST
It would be nice if agent command prompt had history capabilities as we have in most of command prompt shell/tools.
The history will be retrieved by pressing up arrow.
Comment 1 Heiko W. Rupp 2009-04-28 03:57:22 EDT
Note that the standalone container already has csh-like history functionality that could be factored into a common class and just be re-used.
Comment 2 John Mazzitelli 2009-08-09 16:00:49 EDT
if we put jline into the agent, this issue will be satisfied since jline can help with providing history
Comment 3 Red Hat Bugzilla 2009-11-10 15:36:39 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1608
Comment 4 Corey Welton 2010-08-20 11:45:43 EDT
QA:  see if this has actually been implemented and if so, if it works.
Comment 5 Rajan Timaniya 2010-08-25 07:05:15 EDT
Tested on JON 2.4 GA

Observation:
Agent command prompt has history capabilities. The previous command shows by pressing up arrow.
Comment 6 John Mazzitelli 2010-09-15 14:01:13 EDT
this was implemented and qa'ed. need to close this
Comment 7 Rajan Timaniya 2010-10-15 08:38:42 EDT
Verified on RHQ-Master build #215
(http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/415/)

Observation:
Agent command prompt has history capabilities. The previous command shows by
pressing up arrow.
Comment 8 Heiko W. Rupp 2013-09-02 03:15:13 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.